> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nameshouts.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Public Link for name

```http GET theme={"system"}
GET https://api.nameshouts.com/api/v2.0/user/user-list/get-signature-link?name_group_id=80658
```

This endpoint returns a link to the page that contains the name card for a particular name on a list.

A user can add this link to their social profile or their email signature.

*Please note that this generates a publicly available link that anyone can access without having to sign in to NameShouts. If a user has recorded their own name, their voice data will be available on the open internet.*

To access the custom page link for your company, please add "`?source={company_name}`" to the generated link.

You need to provide the following input parameter to get the signature link:

| **Input Parameter** | **The Unique Id for the full name on the list.** |
| - | - |
| name\_group\_id | The unique id of the full name from the list.  You can get the name\_group\_id of a name from the "**Get Name from a User List**" endpoint. |

## Authorization

| Bearer Token | |
| - | - |
| Token | `<token>` |

## Params

**name\_group\_id** `string`

Example: `80658`

## Example Request

**Get Public Link for name**

```bash curl theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/user/user-list/get-signature-link?name_group_id=80658'
```

## Example Response

**Body** · **Headers (0)**

No response body

This request doesn't return any response body

```bash cURL theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/user/user-list/get-signature-link?name_group_id=80658' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.